## org.jvnet.maven.plugin.antrun
Class GraphDefTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.jvnet.maven.plugin.antrun.DependencyGraphTask
                  org.jvnet.maven.plugin.antrun.GraphDefTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class GraphDefTask

extends DependencyGraphTask

Computes a dependency graph by applying a filter, then store it to the current project so that it can be used later with <graphRef> filter.

The name is chosen to match with other xxxDef tasks in Ant, like taskDef, typeDef, etc.

Author:
  Kohsuke Kawaguchi

Field Summary
`protected GraphFilter` `filter`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`GraphDefTask()`

Method Summary
`void` `add(GraphFilter child)` Adds a `GraphFilter` child.
`void` `execute()`
`void` `setId(java.lang.String id)`

Methods inherited from class org.jvnet.maven.plugin.antrun.DependencyGraphTask
`buildGraph, setArtifactId, setBaseGraph, setClassifier, setGroupId, setTolerateBrokenPOMs, setType, setVersion`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filter

    protected GraphFilter filter

Constructor Detail

### GraphDefTask

    public GraphDefTask()

Method Detail

### setId

    public void setId(java.lang.String id)

### add

    public void add(GraphFilter child)

  Adds a `GraphFilter` child. Ant will invoke this for each child element given in build script.

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

Copyright © 2011. All Rights Reserved.